
* channel select -> layout GUI

* save/load plot config (template)
   * channels
   * x/y range/limits

* direct range/span control (control tab)

* trigger:
  * active trigger centers on trigger time
  * level line label is value, on right
  * level line dashed
  * trigger active but not triggered plot alpha data in background
  * grey trigger GPS time field

* backfill for slow streaming (striptool mode)

* clean up right-click menu

* defined default plot colors

* select plot color from right-click menu

* mark regions on plot of bad/no data

* t0 increase font size, weight

* times fields in GPS and standard

* time NOW button

* warn for extra long fetch

* cli/buttons to switch between raw/second/minute

* save plot image

* save plot data

* add timeout for data retrieval

* DataBufferDict.update() should only be BUSY on retrieval of same data segment
* update fetch multiple small chunks

* T ticks should be in human-readle time steps

* intelligent offline server choice (until NDS proxy available)

* BUG: online s-trend starts at -2

* BUG: mouse auto-range causes range update infinite loop

* check box for display trend min/max

* t0 in text box for copy/paste

* abort fetch button
